# Auto Initiative Plugin

This unofficial TaleSpire plugin for getting initiative rolls from players and then having their minis automatically
ordered in the turn order according to their initiative.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.0.2: Bug fix for order
1.0.2: Bug fix for 0 modifier initiative
1.0.1: Bug fix for issue causing Initiative rolls to be ignored 
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage

1. Tell players to roll initiative with their mini selected. Roll must include "Initiative" in the name.
2. Select each foe and roll initiative. Roll must include "Initiative" in the name.
3. Open the Initiative Mode and cick the Setting icon.
4. Press the Auto Initiative keyboard shortcut.
5. All creatures for which an initiative was provdided will be added to the turn order in decreasing order of initiative.

Default: ``RCTRL`` + ``I``

## Who Needs The Plugin

Even though only the GM can activate the Auto Initiative feature, all players need to have the plugin installed. This is
necessary so that the plugin sends not only the initiative roll but also the corresponding CreatureGuid to the GM plugin.